class Terrain:

    def __init__(self, nom, couleur): 
        self.nom = nom
        self.couleur = couleur
        self.nb_maison = 0
        self.nb_hotel = 0
        self.owner = None
        

    def est_achetable(self): 
        if self.owner is not None :
            return "Est achetable !"
        else: 
            return "N'est pas achetable !"
            
        
        
    def ameliorer_terrain(self, joueur):    

        constr_maison = { "marron" : 100 , "bleu" : 100, "rose" :  150, "orange" :  150, "rouge" :  200, "jaune" :  200, "vert" :  300, "violet" :  350 }
        constr_hotel = {"marron" : 500 , "bleu" : 500, "rose" :  700, "orange" :  700, "rouge" :  900, "jaune" :  900, "vert" :  950, "violet" :  1000}

        if self.nb_maison < 4 and self.nb_hotel == 0 :
            print("Vous pouvez construire une maison pour", constr_maison[self.couleur], "$, voulez vous le faire ? :")
            while True:   
                reponse = input("Entrer votre réponse : ")
                if reponse.lower() == "oui":
                    self.compte = self.compte - constr_maison[self.couleur]
                    print("La construction a bien eu lieu")
                    self.nb_maison += 1
                    break  
                elif reponse.lower() == "non":
                    break  
                else:
                    print("Veuillez entrer soit oui, soit non !")

        if self.nb_maison == 4 :
            print("Vous pouvez construire un hôtel pour", constr_hotel[self.couleur], "$, voulez vous le faire ? :")
            while True:   
                reponse = input("Entrer votre réponse : ")
                if reponse.lower() == "oui":
                    self.compte = self.compte - constr_hotel[self.couleur]
                    print("Bravo l'hôtel a était construit avec succès !")
                    self.nb_hotel += 1
                    self.nb_maison = 0
                    break  
                elif reponse.lower() == "non":
                    break  
                else:
                    print("Veuillez entrer soit oui, soit non !")

        elif self.nb_hotel == 1 :
            print("Vous ne pouvez plus construire sur ce terrain car il y a déjà un hôtel") 
        
