from Plateau import Plateau
from Terrain import Terrain



class Partie:

    def __init__(self, liste_joueur):
        self.liste_joueur = liste_joueur
        self.plateau = Plateau()
        
        


    def avoir_joueur_avec_nom(self, nom):
        self.nom = nom
        return self.nom


    def choix_action(self, joueur):

        while True : 
            print()
            print("# # # # début choix_action # # # #")
            print("Que voulez-vous faire ?")
            print("1 - Tirer le dé")
            print("2 - Consulter mon compte")
            print("3 - Voir sur quelle case je suis")

            choix = int(input("Entrer votre choix :"))
            print("Mon choix :",choix)

            if choix == 1 :
                print("# # # # fin choix_action # # # #")
                print()
                print("# # # # début deplacement # # # #")
                break

            if choix == 2 :
                print(joueur.nom, "a sur son compte", joueur.compte)
                print()

            if choix == 3 :
                print("Tu est sur la case",self.plateau.avoir_terrain_i_j(joueur.position[0], joueur.position[1]).nom)
                print()

            elif choix > 3 :
                print("incorrect")
                print()

            
    def deplacement(self, joueur):
       joueur.mouvement()
       print(joueur.nom,"est arrivé sur la case",self.plateau.avoir_terrain_i_j(joueur.position[0], joueur.position[1]).nom)
       print("# # # # fin deplacement # # # #")
       print()

                


    def traitement_post_deplacement(self, joueur, case):
        case = self.plateau.avoir_terrain_i_j(joueur.position[0], joueur.position[1]).nom
        print("# # # # début traitement_post_deplacement # # # #")
        print(case,"n'a pas de propriétaire")
        print("Voulez vous l'acheter (1/0) ?")
        choix = int(input("Entrer votre choix :"))
        print("Mon choix :",choix)
        print()
        #while True :
            #if choix == 1 :
                #joueur.acheter(case)
                
        
    def tour(self, joueur):
        """
            Tour du joueur
            La méthode est faite, pas besoin de la modifier
        """
        print(f"Tour de {joueur.nom}")
        print()
        
        self.choix_action(joueur)
        case_joueur = self.deplacement(joueur)
        self.traitement_post_deplacement(joueur, case_joueur)


    def joueur_faillite(self):
       L = self.liste_joueur
       for joueur in L:
           if joueur.compte == 0 :
               return True
       return False

    def prochain_joueur(self, indice_joueur_actuel):
        """
            Renvoie l'indice du prochain joueur
            La méthode est faite, pas besoin de la modifier
        """
        if indice_joueur_actuel == len(self.liste_joueur)-1:
            return 0
        return indice_joueur_actuel + 1


    def definir_gagnant(self):
        L = self.liste_joueur
        for joueur in L:
            if joueur.compte > joueur.compte :
               return joueur.nom,"a gagner la partie"
        return False